## Infra


~~TF is probably the smartest move since Crossplane is too new~~

~~Reuse terracloud and ensure everything hooks back to gitlab~~
~~or~~
~~Terragrunt since terracloud doesnt look active anymore~~
~~(If Rancher uses ClusterAPI, wonder if I even need TF - TBC)~~

TF to Bootstrap Civo

Diagram showing hub and spoke model

Civo (hub) cluster runs:
- Vault
- Gitpod
- Keptn
- Nextcloud
- Bitwarden
- Focalboard
- Mattermost
- Crossplane
- ArgoCD


~~Cloudflare with a dynamic service so no need for static IP~~


Workflow is:
Run TF apply - TF creates the vpn server
vpn to hit cluster
Use as needed



